al_wait_for_vsync(3)

NAME

al_wait_for_vsync - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_wait_for_vsync(void)

DESCRIPTION

Wait for the beginning of a vertical retrace. Some driver/card/monitor combinations may not be capable of this.

Note how al_flip_display(3) usually already waits for the vertical retrace, so unless you are doing something special, there is no reason to call this function.

Returns false if not possible, true if successful.

SEE ALSO

al_flip_display(3)